// #define DEBUG

#include "gba.h"
#include "apu.h"
#include "dsp.h"

extern volatile s32 cyclesToExecute;

int DebugGetOpcodeDesc(char *buffer, u8 *p, bool mem);
void DebugGetSPCState(char *buffer);
int DrawString(int sx,int sy,char *s);

void CpuFastSet( const void *source, void *dest, u32 mode) CODE_IN_IWRAM;
void CpuFastClear(u32 data, void *dest, u32 elements);
